#pragma once

class MxDxfData
{
public:
	virtual ~MxDxfData(void);

	void Init();

	static MxDxfData&	Instance();

	bool GetSysVarCode(MxString sVarName,int& iCode);

	void SetSysVarCode(MxString sVarName,int iCode);
protected:

	MxDxfData(void);
private:
	static MxDxfData			s_instance;

	std::map<MxString,int>       m_mapSysVarCodeDefault;
	
	std::map<MxString,int>       m_mapSysVarCode;

};
